org.apache.tapestry5.corelib.base

## Class AbstractPropertyOutput

- java.lang.Object
- - org.apache.tapestry5.corelib.base.AbstractPropertyOutput

- Direct Known Subclasses:
    GridCell, PropertyDisplay

      public abstract class AbstractPropertyOutput
      extends Object

  Base class for components that output a property value using a `PropertyModel`. There's a relationship between such a component and its container, as the container may provide messages in its message catalog needed by the `Block`s that render the values. In addition, the component may be passed Block parameters that are output overrides for specified properties. Subclasses will implement a `beginRender()` method that invokes `renderPropertyValue(MarkupWriter, String)`.
  See Also:
    `BeanBlockSource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPropertyOutput()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PropertyModel` | `getPropertyModel()`
    `protected Object` | `renderPropertyValue(MarkupWriter writer, String overrideBlockId)` Invoked from subclasses to do the rendering.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPropertyOutput

          public AbstractPropertyOutput()

  - ### Method Detail

    - #### getPropertyModel

          protected PropertyModel getPropertyModel()

    - #### renderPropertyValue

          protected Object renderPropertyValue(MarkupWriter writer,
                                               String overrideBlockId)

      Invoked from subclasses to do the rendering. The subclass controls the naming convention for locating an overriding Block parameter (it is the name of the property possibly suffixed with a value).
      Parameters:
        `writer` - a MarkupWriter
        `overrideBlockId` - the override block id
      Returns:
        a Block

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.